Subject: Re: upgrading nmh-1.0.4 to nmh-1.2.1?
To: None <>
From: Igor Sobrado <>
List: tech-pkg
Date: 12/24/2005 15:56:44
Hi Joerg.

Current nmh versions (1.2, and very soon 1.2.1) are based on the
old source code.  It probably has the problems you describe.  Plans
for 2.0 include using proper APIs.  Don't know if this information
is what you are looking for.  From Peter Maydell, on

"I'd like to see all the hacky messing with stdio internals taken out in
favour of using the proper APIs. This kind of thing was added as a
performance hack decades ago when MH was running on VAXen -- surely we
can afford to take it out now? We wind up with #ifdefs for different
kinds of stdio library and we still hit portability problems: see for

But certainly you should ask in the nmh-workers mailing list instead.

I am only a nmh (and NetBSD) user, not a developer.